<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}

    <div class="delegated-service-publications-page">
        <div class="delegated-service-publications-page__actions-bar">
            <a
                href="/delegated-publications/active"
                class="delegated-service-publications-page__actions-bar__button button--secondary {{ if eq .SelectedTab "active" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-external-link-line" "icon icon--inline" }}
                {{ i18n "Active" }}
                {{ if eq .SelectedTab "active" }}
                    ({{ .AmountOfPublications }})
                {{ end }}
            </a>

            <a
                href="/delegated-publications/proposed"
                class="delegated-service-publications-page__actions-bar__button button--secondary {{ if eq .SelectedTab "proposed" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-mail-send-line" "icon icon--inline" }}
                {{ i18n "Proposed" }}
                {{ if eq .SelectedTab "proposed" }}
                    ({{ .AmountOfPublications }})
                {{ end }}
            </a>

            <a
                href="/delegated-publications/archive"
                class="delegated-service-publications-page__actions-bar__button button--secondary {{ if eq .SelectedTab "archive" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-archive-line" "icon icon--inline" }}
                {{ i18n "Archived" }}
                {{ if eq .SelectedTab "archive" }}
                    ({{ .AmountOfPublications }})
                {{ end }}
            </a>

            <div
                class="delegated-service-publications-page__actions-bar__button-add-publication"
            >
                <a href="/services/publish/delegate" class="button--primary">
                    {{ svg "icon-plus" "icon--inline" }}
                    {{ i18n "Add delegated publication" }}
                </a>
            </div>
        </div>

        {{ if and (eq (len .Publications) 0) (not .PaginationNextCursor) }}
            <div class="delegated-service-publications-page__no-results">
                {{ i18n "No Delegated Publications present" }}
            </div>
            <div id="pagination"></div>
        {{ else if and (eq (len .Publications) 0) (.PaginationNextCursor) }}
            <div id="pagination">
                <div class="delegated-service-publications-page__no-results">
                    {{ i18n "No more Delegated Publications present" }}.
                    <a
                        href="/delegated-publications{{ if .WithInvalidContract }}
                            ?with_invalid_contract=true
                        {{ end }}"
                        >{{ i18n "Back to top" }}.</a
                    >
                </div>
            </div>
        {{ else }}
            <div id="publications">
                {{ if gt (len .Publications) 0 }}
                    <table>
                        <thead>
                            <tr>
                                <th
                                    class="delegated-service-publications-page__publications-table__contract-status-column"
                                ></th>
                                <th
                                    class="delegated-service-publications-page__publications-table__column"
                                >
                                    {{ i18n "Service" }}
                                </th>
                                <th
                                    class="delegated-service-publications-page__publications-table__column"
                                >
                                    {{ i18n "Service Provider (Delegatee)" }}
                                </th>
                                <th
                                    class="delegated-service-publications-page__publications-table__column"
                                >
                                    {{ i18n "Directory" }}
                                </th>

                                <th
                                    class="delegated-service-publications-page__publications-table__column"
                                >
                                    {{ i18n "Created at" }}
                                </th>
                                <th
                                    class="delegated-service-publications-page__publications-table__column"
                                >
                                    {{ i18n "Valid from" }}
                                </th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            {{ range $publication := .Publications }}
                                <tr
                                    class="tr--link"
                                    hx-get="/contract/{{ .ContentHash }}?back_button_url={{ $.ContractDetailBackButtonURLPath }}#{{ .GrantHashURLFriendly }}"
                                    hx-push-url="true"
                                    hx-swap="innerHTML"
                                    hx-target="body"
                                >
                                    <td
                                        class="delegated-service-publications-page__publications-table__contract-status-column"
                                    >
                                        {{ block "contract-status" . }}{{ end }}
                                    </td>
                                    <td>
                                        <a
                                            href="/delegated-{{ $publication.ServiceName }}"
                                            >{{ $publication.ServiceName }}</a
                                        >
                                    </td>
                                    <td>
                                        {{ .ServicePeerName }}<br />
                                        <small>{{ .ServicePeerID }}</small>
                                    </td>
                                    <td>
                                        {{ .DirectoryPeerName }}<br />
                                        <small>{{ .DirectoryPeerID }}</small>
                                    </td>
                                    <td>
                                        <time
                                            data-format="LLL"
                                            datetime="{{ .CreatedAt }}"
                                            >{{ .CreatedAt }}</time
                                        >
                                    </td>
                                    <td>
                                        <time
                                            data-format="LLL"
                                            datetime="{{ .ValidNotBefore }}"
                                            >{{ .ValidNotBefore }}</time
                                        >
                                    </td>
                                    <td class="td--link">
                                        <a
                                            href="/contract/{{ .ContentHash }}#{{ .GrantHashURLFriendly }}"
                                        >
                                            {{ svg "icon-chevron-right" "icon" }}
                                        </a>
                                    </td>
                                </tr>
                            {{ end }}
                        </tbody>
                    </table>
                {{ end }}

            </div>

            <br />
            <br />
            {{ if (lt (len .Publications) .PaginationLimit) }}
                <div id="pagination">
                    <div
                        class="delegated-service-publications-page__no-results"
                    >
                        {{ i18n "No more Delegated Publications present" }}.
                        <a href="/delegated-publications/{{ .SelectedTab }}"
                            >{{ i18n "Back to top" }}.</a
                        >
                    </div>
                </div>
            {{ else }}

                <nav>
                    <ol id="pagination" class="pagination" hx-boost="true">
                        <li>
                            <a
                                href="/delegated-publications/{{ .SelectedTab }}?pagination_cursor={{ .PaginationNextCursor }}"
                                hx-select="tbody tr"
                                hx-target="tbody"
                                hx-swap="beforeend show:none"
                                hx-select-oob="#pagination"
                                >{{ i18n "Show more Delegated Publications" }}</a
                            >
                        </li>
                    </ol>
                </nav>
            {{ end }}
        {{ end }}
    </div>

    <p
        class="delegated-service-publications-page__loading-message loading-message"
        role="progressbar"
    >
        {{ svg "icon-spinner" "loading-message__spinner icon--inline" }}
        {{ i18n "Loading…" }}
    </p>
{{ end }}
